# GradleBuild

API Documentation: | `GradleBuild`

Executes a Gradle build.

### Properties

Property | Description
`buildFile` | The build file that should be used for this build. Defaults to `build.gradle` in the project directory.
`dir` | The project directory for the build. Defaults to the project directory.
`startParameter` | The full set of parameters that will be used to execute the build.
`tasks` | The tasks that should be executed for this build.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `File` `buildFile`

The build file that should be used for this build. Defaults to `build.gradle` in the project directory.

#### `File` `dir`

The project directory for the build. Defaults to the project directory.

#### `StartParameter` `startParameter`

The full set of parameters that will be used to execute the build.

#### ``List`<`String`>` `tasks`

The tasks that should be executed for this build.